Request
curl -X POST https://sandbox.api.lendeasy.ai /v1/servicing/action-requests/$ACTION_REQUEST_ID/manual-complete \
-H "Authorization: Bearer $TOKEN" \
-H "LendEasy-Tenant: $TENANT" \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{
"outcomeCode": "COMPLETED_EXTERNALLY",
"reason": "The external system completed the change.",
"evidenceIds": [
8801
],
"externalResultRef": "external-result-71"
}' await fetch(`https://sandbox.api.lendeasy.ai /v1/servicing/action-requests/${actionRequestId}/manual-complete` , {
method: "POST" ,
headers: { Authorization: `Bearer ${token}` , "LendEasy-Tenant" : tenant, "Idempotency-Key" : idempotencyKey, "Content-Type" : "application/json" },
body: JSON.stringify({
"outcomeCode": "COMPLETED_EXTERNALLY",
"reason": "The external system completed the change.",
"evidenceIds": [
8801
],
"externalResultRef": "external-result-71"
}),
});requests.post(
f"https://sandbox.api.lendeasy.ai /v1/servicing/action-requests/{action_request_id}/manual-complete" ,
headers={"Authorization" : f"Bearer {token}" , "LendEasy-Tenant" : tenant, "Idempotency-Key" : idempotency_key},
json={
"outcomeCode": "COMPLETED_EXTERNALLY",
"reason": "The external system completed the change.",
"evidenceIds": [
8801
],
"externalResultRef": "external-result-71"
},
)200 400 401 403 404 409
{
"resourceId": 6001 ,
"changes": {
"status": "COMPLETED",
"resultCode": "COMPLETED_EXTERNALLY"
}
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "409",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "idempotency.request.in.flight",
"errors": []
}